@import url(https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap);

html {
  font-family: "Poppins", sans-serif;
  background-image: linear-gradient(white, silver);
  background-attachment: fixed;
  min-width: 320px;
  height: 100%;
}
body {
  display: flex;
  flex-direction: column;
  height: 100%;
}
header {
  padding: 10px 15px;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  user-select: none;
  margin-bottom: 0.6vh;
}
footer {
  padding: 10px;
  margin-top: auto;
}
footer a {
  text-decoration: none;
  color: rgb(0, 0, 0);
}
footer a:hover {
  text-decoration: underline;
}
img {
  height: 50px;
}
.center {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 100%;
  /* height: 100%; */
}
#container {
  min-width: 300px;
  max-width: 600px;
  width: 100%;
}
form {
  background-color: white;
  box-sizing: border-box;
  padding: 5%;
  display: flex;
  flex-direction: column;
  box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.45);
  line-height: 1.15;
}
li {
  margin-bottom: 12px;
}
ol {
  margin: 0;
}
input {
  box-sizing: border-box;
  width: 100%;
  font-size: 1rem;
  padding: 1px 5px;
  height: 1.5rem;
  outline: none;
}
input[type="radio"] {
  cursor: pointer;
  margin: 10px;
  width: auto !important;
  height: auto !important;
}
label {
  width: 7rem;
  min-width: max-content;
  margin-right: 10px;
  white-space: nowrap;
  user-select: none;
}
.flex-row {
  margin: 10px 0px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}
.pwContainer {
  position: relative;
  display: flex;
  width: 100%;
  height: 1.5rem;
}
#pwInput {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 100%;
  padding-right: 25px;
}
#pwToggle {
  position: absolute;
  top: 0px;
  right: 3px;
  height: 1.5rem;
  background: transparent;
  border: none;
  cursor: pointer;
}
#submitButton {
  padding: 10px;
  font-size: 1.5rem;
  background: #198754;
  color: rgb(255, 255, 255);
  border: 0;
  cursor: pointer;
  transition: 100ms;
  width: fit-content;
  border-radius: 3px;
  margin-top: 10px;
  user-select: none;
}
.alert {
  color: white;
  box-sizing: border-box;
  padding: 5px 5px 5px 15px;
  margin: 5px 0 10px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.alert-success {
  background-color: #198754;
}
.alert-error {
  background-color: #dc3545;
}
.alert button {
  color: white;
  background-color: transparent;
  cursor: pointer;
  border: none;
  font-size: 25px;
}
.invalid-feedback {
  color: #dc3545;
}
/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 400px) {
  img {
    height: 65px;
  }
}
/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
  img {
    height: 80px;
  }
  .flex-row {
    flex-wrap: nowrap;
  }
  #container {
    margin-bottom: 10px;
  }
}

/* Medium devices upwards (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
  img {
    height: 90px;
  }
  header {
    padding: 15px 20px;
  }
  #container {
    width: 630px;
  }
}
